<?php

/*
 * Smarty plugin
 * -------------------------------------------------------------
 * Type:     block function
 * Name:     textformat
 * -------------------------------------------------------------
 */
 

 
function smarty_block_insert_form($params, $content, &$smarty)
{
	if (!$content) return;
	if (empty($smarty->template_recursive_path)) {
		$smarty->template_recursive_path [0] = $_GET['main_script_name'];
		$smarty->template_recursive_path [1] = $_GET['script_name'];	
	}
		$action_string = implode("/",$smarty->template_recursive_path);
		
		$method = "GET";
		if (isset($params['method'])) $method = $params['method'];
		if (isset($params['name'])) 
			$name = $params['name']; 
		else
			$name = implode("|",$smarty->template_recursive_path);	 
		echo "\n<form name=\"$name\" method=\"$method\" action=\"".$action_string."\" >\n";
		echo "<input type=\"hidden\" name=\"$name\" value=\"set\">\n";
		echo $content;
		echo "</form>\n";
}

/* vim: set expandtab: */

?>
